import chronoptics.tof as tof

# File name to save to
fileName = "frames.csf"

# Amount of frames to capture
numFrames = 10

# Amount of frames to drop before capturing
dropFrames = 200

# Frame types to capture
types = [tof.FrameType.RAW, tof.FrameType.RADIAL]

# Config file to use, if config can't be opened a default configuration will be used
configFile = ""

# Serial of camera to connect to, if empty will connect to the first found
serial = "202001a"

cam = tof.KeaCamera(tof.ProcessingConfig(), serial)
tof.selectStreams(cam, types)

writer = tof.createCsfWriterCamera(fileName, cam)

cam.start()

# Drop frames
for i in range(dropFrames):
    cam.getFrames()

print("Frames dropped")

# Capture frames
for i in range(numFrames):
    frames = cam.getFrames()

    for frame in frames:
        writer.writeFrame(frame)

    # Explicitly delete frames such that they get cleaned up
    del frames

print("Frames captured")
